Monthly Archives: September 2011

Don’t upgrade to Joomla! v1.7

Joomla! v1.7It may be the best Joomla release ever but I’m not proposing to migrate Touchline customer websites from their present Joomla! v1.5 to the latest Joomla! v1.7 any time soon. This is because v1.5 will continue to be supported to April 2012 and if it ain’t broke, don’t fix it (and it isn’t broken).

The introduction of Joomla! v1.6 and now Joomla! v1.7 isn’t just an upgrade from v1.5 , it’s a migration to a whole new release and requires some serious work. Also, v1.7 is an interim release that will be replaced by v1.8 (or other version number such as v2.5! – don’t ask) in January 2012. The January release will then become the next Long Term Support (LTS) version (after v1.5) lasting for 18 months.

So migrating now will mean applying an update in January and hence involve more work and expense.